#pragma once

#include "object.hpp"

#include <cstdlib>

namespace game {
    class Planet : public Object {
    public:
        /**
         * Planets are build out of one material.
         * TODO: support mixture or multiple material per planet.
         */
        enum class Material {
            Rock,
            Metal,
            Sand,
            Gas,
            Ice,
            Water,
            Sun
        };

        Planet(const glm::vec2 &pos, float r) : Planet(pos, r, Material::Rock)
        {
        }

        Planet(const glm::vec2 &pos, float r, Material mat)
            : Object(pos, r)
            , material(mat)
            , seed(rand())
        {
        }

        // nice for rendering attributes
        Material material;
        int      seed;
    };
}
